Index: /trunk/SophyaPI/PI/Tests/midasitt.cc
===================================================================
--- /trunk/SophyaPI/PI/Tests/midasitt.cc	(revision 2301)
+++ /trunk/SophyaPI/PI/Tests/midasitt.cc	(revision 2302)
@@ -25,4 +25,5 @@
 
 #include "pisurfdr.h"
+#include "pi3dwdg.h"
 #include "piyfxdrw.h"
 
@@ -196,6 +197,9 @@
       scd->SetLimits(0.1, 30., -1., 1.);
       scd->AddScDrawer(mfd,true);
-      scd->BaseDrawer()->ElAddText(2, 0.8, "Y = Sin(x)/x", PI_Red);
-      scd->SetTitles(" --- PIFuncDrawer (Sin(x)/x) --- ");
+      PIGraphicAtt gatt;
+      gatt.SetColAtt(PI_Red);
+      scd->BaseDrawer()->ElDrwMgr().ElAddText(2., 0.8, "Y = Sin(x)/x", gatt, 0);
+
+      scd->SetTitles(" --- PIFuncDrawer (Sin(x)/x) --- ","");
       wp->Show();    // On affiche  la fenetre 
       SetReady();    //  souris->pointeur , on n'est plus occupe
@@ -223,5 +227,5 @@
       scd->SetBinding(PIBK_fixed,PIBK_fixed,PIBK_fixed, PIBK_fixed);
       scd->AddScDrawer(mxyd,true);
-      scd->SetTitles(" --- PIYfXDrawer (3*cons(x)+2*sin(x)) --- ");
+      scd->SetTitles(" --- PIYfXDrawer (3*cons(x)+2*sin(x)) --- ","");
       awp->SetAutoDelChilds(true);
       awp->Show();
@@ -255,5 +259,5 @@
       scd->AddScDrawer(mxyd,true);
       scd->AddScDrawer(mfd,true);
-      scd->SetTitles(" --- PIYfXDrawer + PIFuncDrawer --- ");
+      scd->SetTitles(" --- PIYfXDrawer + PIFuncDrawer --- ","");
       awp->SetAutoDelChilds(true);
       awp->Show();
@@ -372,5 +376,5 @@
       drw3->SetBinding(PIBK_fixed , PIBK_fixed , PIBK_fixed, PIBK_fixed);
       drw3->AddDrawer3D(sd, false);
-      drw3->SetTitles(" --- PISurfaceDrawer (80x60) --- ");
+      drw3->SetTitles(" --- PISurfaceDrawer (80x60) --- ","");
       awp->SetAutoDelChilds(true);
       awp->Show();
@@ -412,5 +416,5 @@
       drw3->SetBinding(PIBK_fixed , PIBK_fixed , PIBK_fixed, PIBK_fixed);
       drw3->AddDrawer3D(sd, false);
-      drw3->SetTitles(" --- PISurfaceDrawer (50x50) --- ");
+      drw3->SetTitles(" --- PISurfaceDrawer (50x50) --- ","");
       awp->SetAutoDelChilds(true);
       awp->Show();
@@ -440,5 +444,5 @@
 if ( (narg < 2) || (strcmp(arg[1],"-h") == 0) ) {
   printf("midasitt : MIDAS ITT color table test  \n");
-  printf("  Usage : midasitt [Xt options] \n");
+  printf("  Usage : midasitt MIDAS_ITT_File [Xt options] \n");
   return(0);
   }
Index: /trunk/SophyaPI/PI/Tests/pit1.cc
===================================================================
--- /trunk/SophyaPI/PI/Tests/pit1.cc	(revision 2301)
+++ /trunk/SophyaPI/PI/Tests/pit1.cc	(revision 2302)
@@ -275,6 +275,8 @@
 // Ajout de texte
 BaseDrawer()->GetGraphicAtt().SetFontAtt(PI_NormalSizeFont, PI_BoldFont);
-BaseDrawer()->ElAddText(-2.8, 12., "---- ScSample ----", PI_Red);
-BaseDrawer()->ElAddText(-2.8, 10.,  "f(x)=0.3*x^3-x^2+7.", PI_Red);
+PIGraphicAtt gatt;
+gatt.SetColAtt(PI_Red);
+BaseDrawer()->ElDrwMgr().ElAddText(-2.8, 12., "---- ScSample ----", gatt, 0);
+BaseDrawer()->ElDrwMgr().ElAddText(-2.8, 10.,  "f(x)=0.3*x^3-x^2+7.", gatt, 0);
 
 SetAxesFlags(kAxesDflt);
Index: /trunk/SophyaPI/PI/Tests/pitgr.cc
===================================================================
--- /trunk/SophyaPI/PI/Tests/pitgr.cc	(revision 2301)
+++ /trunk/SophyaPI/PI/Tests/pitgr.cc	(revision 2302)
@@ -24,4 +24,5 @@
 #include "piimgtools.h"
 #include "pidrwtools.h"
+#include "piaxestools.h"
 
 #include "pisurfdr.h"
@@ -72,4 +73,5 @@
 m[2]->AppendItem("ShowImageTools", 10301);
 m[2]->AppendItem("ShowDrawerTools", 10302);
+m[2]->AppendItem("ShowAxesTools", 10303);
 m[2]->AppendItem("PostScript (EPS)", 10305);
 AppendMenu(m[2]);
@@ -160,4 +162,7 @@
       PIDrwTools::ShowPIDrwTools();
       break;
+    case 10303 :
+      PIAxesTools::ShowPIAxesTools();
+      break;
     case 10305 :
       if(mCurW) {
@@ -189,6 +194,8 @@
       scd->SetLimits(0.1, 30., -1., 1.);
       scd->AddScDrawer(mfd,true);
-      scd->BaseDrawer()->ElAddText(2, 0.8, "Y = Sin(x)/x", PI_Red);
-      scd->SetTitles(" --- PIFuncDrawer (Sin(x)/x) --- ");
+      PIGraphicAtt gatt;
+      gatt.SetColAtt(PI_Red);
+      scd->BaseDrawer()->ElDrwMgr().ElAddText(2., 0.8, "Y = Sin(x)/x", gatt, 0);
+      scd->SetTitles(" --- PIFuncDrawer (Sin(x)/x) --- ", "");
       wp->Show();    // On affiche  la fenetre 
       SetReady();    //  souris->pointeur , on n'est plus occupe
@@ -216,5 +223,5 @@
       scd->SetBinding(PIBK_fixed,PIBK_fixed,PIBK_fixed, PIBK_fixed);
       scd->AddScDrawer(mxyd,true);
-      scd->SetTitles(" --- PIYfXDrawer (3*cons(x)+2*sin(x)) --- ");
+      scd->SetTitles(" --- PIYfXDrawer (3*cons(x)+2*sin(x)) --- ", "");
       awp->SetAutoDelChilds(true);
       awp->Show();
@@ -248,5 +255,5 @@
       scd->AddScDrawer(mxyd,true);
       scd->AddScDrawer(mfd,true);
-      scd->SetTitles(" --- PIYfXDrawer + PIFuncDrawer --- ");
+      scd->SetTitles(" --- PIYfXDrawer + PIFuncDrawer --- ", "");
       awp->SetAutoDelChilds(true);
       awp->Show();
@@ -330,5 +337,5 @@
       drw3->SetBinding(PIBK_fixed , PIBK_fixed , PIBK_fixed, PIBK_fixed);
       drw3->AddDrawer3D(sd, false);
-      drw3->SetTitles(" --- PISurfaceDrawer (80x60) --- ");
+      drw3->SetTitles(" --- PISurfaceDrawer (80x60) --- ", "");
       awp->SetAutoDelChilds(true);
       awp->Show();
@@ -370,5 +377,5 @@
       drw3->SetBinding(PIBK_fixed , PIBK_fixed , PIBK_fixed, PIBK_fixed);
       drw3->AddDrawer3D(sd, false);
-      drw3->SetTitles(" --- PISurfaceDrawer (50x50) --- ");
+      drw3->SetTitles(" --- PISurfaceDrawer (50x50) --- ", "");
       awp->SetAutoDelChilds(true);
       awp->Show();
Index: /trunk/SophyaPI/PI/Tests/xp3.cc
===================================================================
--- /trunk/SophyaPI/PI/Tests/xp3.cc	(revision 2301)
+++ /trunk/SophyaPI/PI/Tests/xp3.cc	(revision 2302)
@@ -164,5 +164,5 @@
     scd->AddScDrawer(mxyd,true);
     scd->AddScDrawer(mfd,true);
-    scd->SetTitles(" --- PIYfXDrawer + PIFuncDrawer --- ");
+    scd->SetTitles(" --- PIYfXDrawer + PIFuncDrawer --- ", "");
     awp->SetAutoDelChilds(true);
     awp->Show();
@@ -189,5 +189,5 @@
     // Adding the drawer
     drw3->AddDrawer3D(sd, false);
-    drw3->SetTitles(" --- PISurfaceDrawer (50x50) --- ");
+    drw3->SetTitles(" --- PISurfaceDrawer (50x50) --- ", "");
     // Showing the window
     awp->SetAutoDelChilds(true);