Index: trunk/SophyaLib/BaseTools/complexios.h
===================================================================
--- trunk/SophyaLib/BaseTools/complexios.h	(revision 2321)
+++ trunk/SophyaLib/BaseTools/complexios.h	(revision 2322)
@@ -8,5 +8,5 @@
 
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 
 #if defined(NO_IOS_COMPLEX)
Index: trunk/SophyaLib/BaseTools/dvlist.h
===================================================================
--- trunk/SophyaLib/BaseTools/dvlist.h	(revision 2321)
+++ trunk/SophyaLib/BaseTools/dvlist.h	(revision 2322)
@@ -9,5 +9,5 @@
 
 #include <stdio.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "mutyv.h"
Index: trunk/SophyaLib/BaseTools/fiondblock.cc
===================================================================
--- trunk/SophyaLib/BaseTools/fiondblock.cc	(revision 2321)
+++ trunk/SophyaLib/BaseTools/fiondblock.cc	(revision 2322)
@@ -5,5 +5,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <complex>
 #include "pexceptions.h"
Index: trunk/SophyaLib/BaseTools/fiondblock.h
===================================================================
--- trunk/SophyaLib/BaseTools/fiondblock.h	(revision 2321)
+++ trunk/SophyaLib/BaseTools/fiondblock.h	(revision 2322)
@@ -10,5 +10,5 @@
 #include "ppersist.h"
 #include "ndatablock.h"
-#include <iostream.h>
+#include <iostream>
 
 namespace SOPHYA {
Index: trunk/SophyaLib/BaseTools/machdefs_mkmf.h
===================================================================
--- trunk/SophyaLib/BaseTools/machdefs_mkmf.h	(revision 2321)
+++ trunk/SophyaLib/BaseTools/machdefs_mkmf.h	(revision 2322)
@@ -246,4 +246,7 @@
 
 
+/* (STREAMPOS_IS_CLASS non-active: ca compile sans sur gcc3.2 et cxx)
+   rz+cmv 11/02/03 */
+
 /* The following is true for most compilers */
 
@@ -275,5 +278,10 @@
 #ifdef __GNUG__
 #define ANSI_TEMPLATES
-// #define GNU_TEMPLATES
+/*
+if (__GNUC__ >= 3) 
+define STREAMPOS_IS_CLASS
+endif
+*/
+#define GNU_TEMPLATES
 #define HAS_STR_NPOS
 #define HAS_IOS_BIN
@@ -337,8 +345,10 @@
 #endif
 
-#ifdef ANSI_IO
-#define seekg(p_, m_) rdbuf()->pubseekoff(p_,m_)
-#define seekp(p_, m_) rdbuf()->pubseekoff(p_,m_)
-#endif
+/* Commente par Reza+CMV - Fev 2003 
+ ifdef ANSI_IO
+ define seekg(p_, m_) rdbuf()->pubseekoff(p_,m_)
+ define seekp(p_, m_) rdbuf()->pubseekoff(p_,m_)
+ endif
+*/ 
 
 #ifdef __MWERKS__
@@ -360,6 +370,4 @@
 #define NO_VALUES_H
 #include "osx_values.h"
-/* Faute de mieux pour le moment : */
-#define drand48() ((double)(random())/LONG_MAX)
 #endif
 
Index: trunk/SophyaLib/BaseTools/mutyv.cc
===================================================================
--- trunk/SophyaLib/BaseTools/mutyv.cc	(revision 2321)
+++ trunk/SophyaLib/BaseTools/mutyv.cc	(revision 2322)
@@ -7,5 +7,5 @@
 #include <stdio.h>
 
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 
Index: trunk/SophyaLib/BaseTools/mutyv.h
===================================================================
--- trunk/SophyaLib/BaseTools/mutyv.h	(revision 2321)
+++ trunk/SophyaLib/BaseTools/mutyv.h	(revision 2322)
@@ -10,5 +10,5 @@
 #include <string>
 #include <complex>
-#include <iostream.h>
+#include <iostream>
 
 namespace SOPHYA {
Index: trunk/SophyaLib/BaseTools/ndatablock.cc
===================================================================
--- trunk/SophyaLib/BaseTools/ndatablock.cc	(revision 2321)
+++ trunk/SophyaLib/BaseTools/ndatablock.cc	(revision 2322)
@@ -5,5 +5,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <complex>
 #include "pexceptions.h"
Index: trunk/SophyaLib/BaseTools/ndatablock.h
===================================================================
--- trunk/SophyaLib/BaseTools/ndatablock.h	(revision 2321)
+++ trunk/SophyaLib/BaseTools/ndatablock.h	(revision 2322)
@@ -9,5 +9,5 @@
 #include <stdlib.h>        /* pour que size_t soit defini */
 #include "anydataobj.h"
-#include <iostream.h>
+#include <iostream>
 
 namespace SOPHYA {
Index: trunk/SophyaLib/BaseTools/pexceptions.cc
===================================================================
--- trunk/SophyaLib/BaseTools/pexceptions.cc	(revision 2321)
+++ trunk/SophyaLib/BaseTools/pexceptions.cc	(revision 2322)
@@ -1,4 +1,4 @@
 #include "pexceptions.h"
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 
Index: trunk/SophyaLib/BaseTools/ppersist.cc
===================================================================
--- trunk/SophyaLib/BaseTools/ppersist.cc	(revision 2321)
+++ trunk/SophyaLib/BaseTools/ppersist.cc	(revision 2322)
@@ -6,6 +6,6 @@
 #include "ppersist.h"
 #include "anydataobj.h"
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include <typeinfo>
 
@@ -478,5 +478,5 @@
 
   // Find tag entries at end of file
-#if (defined(Linux) || defined(Darwin)) &&  defined(__GNUG__)
+#if (defined(Linux) || defined(Darwin)) &&  defined(__GNUG__) && (__GNUC__ < 3)
   // There seems to be a bug where seekg with ios::end under Linux  with g++
   // So, we use seek with ios::beg
Index: trunk/SophyaLib/HiStats/histos.h
===================================================================
--- trunk/SophyaLib/HiStats/histos.h	(revision 2321)
+++ trunk/SophyaLib/HiStats/histos.h	(revision 2322)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: histos.h,v 1.15 2001-02-20 18:29:48 ansari Exp $
+// $Id: histos.h,v 1.16 2003-02-11 15:31:00 cmv Exp $
 //
 
@@ -8,5 +8,5 @@
 
 #include "objfio.h"
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 #include "peida.h"
Index: trunk/SophyaLib/HiStats/ntuple.h
===================================================================
--- trunk/SophyaLib/HiStats/ntuple.h	(revision 2321)
+++ trunk/SophyaLib/HiStats/ntuple.h	(revision 2322)
@@ -9,5 +9,5 @@
 #include "objfio.h"
 
-#include <iostream.h>
+#include <iostream>
 #include <string>
 #include <vector>
Index: trunk/SophyaLib/NTools/FSAppIrrSmpl.h
===================================================================
--- trunk/SophyaLib/NTools/FSAppIrrSmpl.h	(revision 2321)
+++ trunk/SophyaLib/NTools/FSAppIrrSmpl.h	(revision 2322)
@@ -11,5 +11,5 @@
 
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 
 
Index: trunk/SophyaLib/NTools/cspline.cc
===================================================================
--- trunk/SophyaLib/NTools/cspline.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/cspline.cc	(revision 2322)
@@ -4,5 +4,5 @@
 #include <stdio.h>
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 
 #ifdef __MWERKS__
Index: trunk/SophyaLib/NTools/dates.cc
===================================================================
--- trunk/SophyaLib/NTools/dates.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/dates.cc	(revision 2322)
@@ -3,5 +3,5 @@
 #include <string.h>
 #include <stdio.h>
-#include <iostream.h>
+#include <iostream>
 #include <time.h>
 #include <ctype.h>
Index: trunk/SophyaLib/NTools/dates.h
===================================================================
--- trunk/SophyaLib/NTools/dates.h	(revision 2321)
+++ trunk/SophyaLib/NTools/dates.h	(revision 2322)
@@ -8,5 +8,5 @@
 #include <string.h>
 #include <string>
-#include <iostream.h>
+#include <iostream>
 #include "pexceptions.h"
 
Index: trunk/SophyaLib/NTools/fct1dfit.cc
===================================================================
--- trunk/SophyaLib/NTools/fct1dfit.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/fct1dfit.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "fct1dfit.h"
Index: trunk/SophyaLib/NTools/fct2dfit.cc
===================================================================
--- trunk/SophyaLib/NTools/fct2dfit.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/fct2dfit.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "fct2dfit.h"
Index: trunk/SophyaLib/NTools/fftmserver.cc
===================================================================
--- trunk/SophyaLib/NTools/fftmserver.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/fftmserver.cc	(revision 2322)
@@ -1,4 +1,4 @@
 #include "fftmserver.h"
-#include <iostream.h>
+#include <iostream>
 #include "fftmayer.h"
 
Index: trunk/SophyaLib/NTools/fftpserver.cc
===================================================================
--- trunk/SophyaLib/NTools/fftpserver.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/fftpserver.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include "fftpackc.h"
 
-#include <iostream.h>
+#include <iostream>
 
 
Index: trunk/SophyaLib/NTools/generaldata.cc
===================================================================
--- trunk/SophyaLib/NTools/generaldata.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/generaldata.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #ifndef NO_VALUES_H
 #include <values.h>
Index: trunk/SophyaLib/NTools/generaldata.h
===================================================================
--- trunk/SophyaLib/NTools/generaldata.h	(revision 2321)
+++ trunk/SophyaLib/NTools/generaldata.h	(revision 2322)
@@ -5,5 +5,5 @@
 
 #include "objfio.h"
-#include <iostream.h>
+#include <iostream>
 #include "pexceptions.h"
 #include "ppersist.h"
Index: trunk/SophyaLib/NTools/generalfit.cc
===================================================================
--- trunk/SophyaLib/NTools/generalfit.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/generalfit.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #ifdef __MWERKS__
Index: trunk/SophyaLib/NTools/perandom.cc
===================================================================
--- trunk/SophyaLib/NTools/perandom.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/perandom.cc	(revision 2322)
@@ -3,5 +3,5 @@
 #include "perandom.h"
 #include "pemath.h"
-#include <iostream.h>
+#include <iostream>
 
 ////////////////////////////////////////////////////////////////////////////
Index: trunk/SophyaLib/NTools/rk4cdifeq.cc
===================================================================
--- trunk/SophyaLib/NTools/rk4cdifeq.cc	(revision 2321)
+++ trunk/SophyaLib/NTools/rk4cdifeq.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include "rk4cdifeq.h"
 #include "ctimer.h"
-#include <iostream.h>
+#include <iostream>
 
 inline double max_dbl(double a, double b) { return ((a < b) ? b : a); } 
Index: trunk/SophyaLib/NTools/slinparbuff.h
===================================================================
--- trunk/SophyaLib/NTools/slinparbuff.h	(revision 2321)
+++ trunk/SophyaLib/NTools/slinparbuff.h	(revision 2322)
@@ -1,4 +1,4 @@
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <stdlib.h>
 #include <stdio.h>
Index: trunk/SophyaLib/SUtils/datacards.cc
===================================================================
--- trunk/SophyaLib/SUtils/datacards.cc	(revision 2321)
+++ trunk/SophyaLib/SUtils/datacards.cc	(revision 2322)
@@ -1,4 +1,4 @@
 //
-// $Id: datacards.cc,v 1.8 2001-07-31 14:02:38 cmv Exp $
+// $Id: datacards.cc,v 1.9 2003-02-11 15:31:05 cmv Exp $
 //
 //
@@ -12,6 +12,6 @@
 #include "pexceptions.h"
 #include <algorithm>
-#include <iostream.h>
-#include <iomanip.h>
+#include <iostream>
+#include <iomanip>
 #include <stdio.h>
 
Index: trunk/SophyaLib/SUtils/strutilxx.cc
===================================================================
--- trunk/SophyaLib/SUtils/strutilxx.cc	(revision 2321)
+++ trunk/SophyaLib/SUtils/strutilxx.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "strutilxx.h"
Index: trunk/SophyaLib/Samba/circle.h
===================================================================
--- trunk/SophyaLib/Samba/circle.h	(revision 2321)
+++ trunk/SophyaLib/Samba/circle.h	(revision 2322)
@@ -7,5 +7,5 @@
 
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include "vector3d.h"
 #include "unitvector.h"
Index: trunk/SophyaLib/Samba/datacirclefake.cc
===================================================================
--- trunk/SophyaLib/Samba/datacirclefake.cc	(revision 2321)
+++ trunk/SophyaLib/Samba/datacirclefake.cc	(revision 2322)
@@ -1,3 +1,3 @@
-#include <iostream.h>
+#include <iostream>
 #include "datacirclefake.h"
 
Index: trunk/SophyaLib/Samba/mlobe.h
===================================================================
--- trunk/SophyaLib/Samba/mlobe.h	(revision 2321)
+++ trunk/SophyaLib/Samba/mlobe.h	(revision 2322)
@@ -7,5 +7,5 @@
 
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "sphericalmap.h"
Index: trunk/SophyaLib/Samba/scan.h
===================================================================
--- trunk/SophyaLib/Samba/scan.h	(revision 2321)
+++ trunk/SophyaLib/Samba/scan.h	(revision 2322)
@@ -8,5 +8,5 @@
 
 #include "ppersist.h"
-#include <iostream.h>
+#include <iostream>
 #include "dvlist.h"
 #include "ndatablock.h"
Index: trunk/SophyaLib/Samba/sphericaltransformserver.cc
===================================================================
--- trunk/SophyaLib/Samba/sphericaltransformserver.cc	(revision 2321)
+++ trunk/SophyaLib/Samba/sphericaltransformserver.cc	(revision 2322)
@@ -1,4 +1,4 @@
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include <complex>
Index: trunk/SophyaLib/SkyMap/HEALPixUtils.cc
===================================================================
--- trunk/SophyaLib/SkyMap/HEALPixUtils.cc	(revision 2321)
+++ trunk/SophyaLib/SkyMap/HEALPixUtils.cc	(revision 2322)
@@ -1,5 +1,5 @@
 // utilitaires de pixelisation HEALPix
 #include "HEALPixUtils.h"
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 //#include <complex>
Index: trunk/SophyaLib/SkyMap/localmap.cc
===================================================================
--- trunk/SophyaLib/SkyMap/localmap.cc	(revision 2321)
+++ trunk/SophyaLib/SkyMap/localmap.cc	(revision 2322)
@@ -6,5 +6,5 @@
 
 #include <string.h>
-#include <iostream.h>
+#include <iostream>
 #include "timing.h"
 
Index: trunk/SophyaLib/SkyMap/longlat.h
===================================================================
--- trunk/SophyaLib/SkyMap/longlat.h	(revision 2321)
+++ trunk/SophyaLib/SkyMap/longlat.h	(revision 2322)
@@ -8,5 +8,5 @@
 #include "machdefs.h"
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 #include <string.h>
Index: trunk/SophyaLib/SkyMap/pixelmap.h
===================================================================
--- trunk/SophyaLib/SkyMap/pixelmap.h	(revision 2321)
+++ trunk/SophyaLib/SkyMap/pixelmap.h	(revision 2322)
@@ -6,5 +6,5 @@
 #include "dvlist.h"
 #include "spherepos.h"
-#include <iostream.h>
+#include <iostream>
 
 namespace SOPHYA {
Index: trunk/SophyaLib/SkyMap/spherethetaphi.cc
===================================================================
--- trunk/SophyaLib/SkyMap/spherethetaphi.cc	(revision 2321)
+++ trunk/SophyaLib/SkyMap/spherethetaphi.cc	(revision 2322)
@@ -4,5 +4,5 @@
 #include "piocmplx.h"
 #include "fiondblock.h"
-#include <iostream.h>
+#include <iostream>
 
 
Index: trunk/SophyaLib/SkyMap/unitvector.h
===================================================================
--- trunk/SophyaLib/SkyMap/unitvector.h	(revision 2321)
+++ trunk/SophyaLib/SkyMap/unitvector.h	(revision 2322)
@@ -6,5 +6,5 @@
 #define UNITVECTOR_H_SEEN
 
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 #include <string.h>
Index: trunk/SophyaLib/SkyMap/utilgeom.cc
===================================================================
--- trunk/SophyaLib/SkyMap/utilgeom.cc	(revision 2321)
+++ trunk/SophyaLib/SkyMap/utilgeom.cc	(revision 2322)
@@ -1,4 +1,5 @@
+#include "machdefs.h"
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include "utilgeom.h"
 //++
Index: trunk/SophyaLib/SkyMap/vector3d.h
===================================================================
--- trunk/SophyaLib/SkyMap/vector3d.h	(revision 2321)
+++ trunk/SophyaLib/SkyMap/vector3d.h	(revision 2322)
@@ -7,5 +7,5 @@
 
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 #include <string.h>
Index: trunk/SophyaLib/SkyT/blackbody.cc
===================================================================
--- trunk/SophyaLib/SkyT/blackbody.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/blackbody.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: blackbody.cc,v 1.7 2002-07-31 10:25:34 ansari Exp $
+//      $Id: blackbody.cc,v 1.8 2003-02-11 15:31:06 cmv Exp $
 //
 // Description:
@@ -16,5 +16,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "blackbody.h"
Index: trunk/SophyaLib/SkyT/derivblackbody.cc
===================================================================
--- trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: derivblackbody.cc,v 1.5 2002-07-31 10:25:34 ansari Exp $
+//      $Id: derivblackbody.cc,v 1.6 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -16,5 +16,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "derivblackbody.h"
Index: trunk/SophyaLib/SkyT/gaussfilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: gaussfilt.cc,v 1.6 2000-04-14 07:28:12 ansari Exp $
+//      $Id: gaussfilt.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -14,5 +14,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 
Index: trunk/SophyaLib/SkyT/nupower.cc
===================================================================
--- trunk/SophyaLib/SkyT/nupower.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/nupower.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: nupower.cc,v 1.7 2000-04-14 07:28:12 ansari Exp $
+//      $Id: nupower.cc,v 1.8 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -16,5 +16,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 
Index: trunk/SophyaLib/SkyT/radspec.cc
===================================================================
--- trunk/SophyaLib/SkyT/radspec.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/radspec.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspec.cc,v 1.6 2002-07-31 10:25:34 ansari Exp $
+//      $Id: radspec.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -16,5 +16,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <typeinfo>
 #include <math.h>
Index: trunk/SophyaLib/SkyT/radspec.h
===================================================================
--- trunk/SophyaLib/SkyT/radspec.h	(revision 2321)
+++ trunk/SophyaLib/SkyT/radspec.h	(revision 2322)
@@ -2,5 +2,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspec.h,v 1.5 2000-04-13 08:17:03 ansari Exp $
+//      $Id: radspec.h,v 1.6 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -15,5 +15,5 @@
 
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 
 #include "specresp.h"
Index: trunk/SophyaLib/SkyT/radspecvector.cc
===================================================================
--- trunk/SophyaLib/SkyT/radspecvector.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/radspecvector.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspecvector.cc,v 1.7 2000-04-14 07:28:13 ansari Exp $
+//      $Id: radspecvector.cc,v 1.8 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -16,5 +16,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 // #include <typeinfo>
Index: trunk/SophyaLib/SkyT/radspecvector.h
===================================================================
--- trunk/SophyaLib/SkyT/radspecvector.h	(revision 2321)
+++ trunk/SophyaLib/SkyT/radspecvector.h	(revision 2322)
@@ -13,5 +13,5 @@
 #define RADSPECTRAVEC_H_SEEN
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 
 #include "radspec.h"
Index: trunk/SophyaLib/SkyT/specresp.h
===================================================================
--- trunk/SophyaLib/SkyT/specresp.h	(revision 2321)
+++ trunk/SophyaLib/SkyT/specresp.h	(revision 2322)
@@ -2,5 +2,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specresp.h,v 1.4 2000-04-06 17:10:51 ansari Exp $
+//      $Id: specresp.h,v 1.5 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -15,5 +15,5 @@
 #include "machdefs.h"
 #include "anydataobj.h"
-#include <iostream.h>
+#include <iostream>
 //------------------------------------
 // Collaborating Class Declarations --
Index: trunk/SophyaLib/SkyT/specrespvector.cc
===================================================================
--- trunk/SophyaLib/SkyT/specrespvector.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/specrespvector.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specrespvector.cc,v 1.8 2000-04-14 07:28:14 ansari Exp $
+//      $Id: specrespvector.cc,v 1.9 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -16,5 +16,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 // #include <typeinfo>
Index: trunk/SophyaLib/SkyT/specrespvector.h
===================================================================
--- trunk/SophyaLib/SkyT/specrespvector.h	(revision 2321)
+++ trunk/SophyaLib/SkyT/specrespvector.h	(revision 2322)
@@ -2,5 +2,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specrespvector.h,v 1.5 2000-04-06 17:11:03 ansari Exp $
+//      $Id: specrespvector.h,v 1.6 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -14,5 +14,5 @@
 
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 
 #include "specresp.h"
Index: trunk/SophyaLib/SkyT/squarefilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/squarefilt.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/squarefilt.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: squarefilt.cc,v 1.6 2000-04-14 07:28:14 ansari Exp $
+//      $Id: squarefilt.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -14,5 +14,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 
 #include "squarefilt.h"
Index: trunk/SophyaLib/SkyT/trianglefilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 2321)
+++ trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 2322)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: trianglefilt.cc,v 1.6 2000-04-14 07:28:14 ansari Exp $
+//      $Id: trianglefilt.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
 //
 // Description:
@@ -14,5 +14,5 @@
 //---------------
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 
 #include "trianglefilt.h"
Index: trunk/SophyaLib/SysTools/ctimer.h
===================================================================
--- trunk/SophyaLib/SysTools/ctimer.h	(revision 2321)
+++ trunk/SophyaLib/SysTools/ctimer.h	(revision 2322)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: ctimer.h,v 1.3 2000-04-12 17:49:41 ansari Exp $
+// $Id: ctimer.h,v 1.4 2003-02-11 15:31:07 cmv Exp $
 //
 
@@ -11,5 +11,5 @@
 #include <sys/types.h>
 #include <time.h>
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 #include <string>
Index: trunk/SophyaLib/SysTools/cxxcmplnk.cc
===================================================================
--- trunk/SophyaLib/SysTools/cxxcmplnk.cc	(revision 2321)
+++ trunk/SophyaLib/SysTools/cxxcmplnk.cc	(revision 2322)
@@ -3,5 +3,5 @@
 
 #include "cxxcmplnk.h"
-#include <iostream.h>
+#include <iostream>
 
 /*!
Index: trunk/SophyaLib/SysTools/pdlmgr.cc
===================================================================
--- trunk/SophyaLib/SysTools/pdlmgr.cc	(revision 2321)
+++ trunk/SophyaLib/SysTools/pdlmgr.cc	(revision 2322)
@@ -9,5 +9,5 @@
 #include <stdlib.h>
 
-#include <iostream.h>
+#include <iostream>
 
 
Index: trunk/SophyaLib/SysTools/resusage.cc
===================================================================
--- trunk/SophyaLib/SysTools/resusage.cc	(revision 2321)
+++ trunk/SophyaLib/SysTools/resusage.cc	(revision 2322)
@@ -9,5 +9,5 @@
 #include <time.h>
 #include <fcntl.h>
-#include <fstream.h>
+#include <fstream>
 #include <stdio.h>
 #include <string>
Index: trunk/SophyaLib/SysTools/resusage.h
===================================================================
--- trunk/SophyaLib/SysTools/resusage.h	(revision 2321)
+++ trunk/SophyaLib/SysTools/resusage.h	(revision 2322)
@@ -8,5 +8,5 @@
 
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 
 namespace SOPHYA {
Index: trunk/SophyaLib/TArray/basarr.h
===================================================================
--- trunk/SophyaLib/TArray/basarr.h	(revision 2321)
+++ trunk/SophyaLib/TArray/basarr.h	(revision 2322)
@@ -8,5 +8,5 @@
 #include "machdefs.h"
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include "anydataobj.h"
 #include "mutyv.h"
Index: trunk/SophyaLib/TArray/fioarr.h
===================================================================
--- trunk/SophyaLib/TArray/fioarr.h	(revision 2321)
+++ trunk/SophyaLib/TArray/fioarr.h	(revision 2322)
@@ -7,5 +7,5 @@
 
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include "tarray.h"
 #include "tmatrix.h"
Index: trunk/SophyaLib/TArray/matharr.cc
===================================================================
--- trunk/SophyaLib/TArray/matharr.cc	(revision 2321)
+++ trunk/SophyaLib/TArray/matharr.cc	(revision 2322)
@@ -56,8 +56,8 @@
 */
 template <class T>
-TArray<T>& MathArray<T>::ApplyFunctionInPlace(TArray<T> & a, Arr_FloatFunctionOfX f)
-{
-  if (a.NbDimensions() < 1) 
-    throw RangeCheckError("MathArray<T>::ApplyFunctionInPlace(TArray<T> & a..) Not Allocated Array a !");
+TArray<T>& MathArray<T>::ApplyFunctionInPlaceF(TArray<T> & a, Arr_FloatFunctionOfX f)
+{
+  if (a.NbDimensions() < 1) 
+    throw RangeCheckError("MathArray<T>::ApplyFunctionInPlaceF(TArray<T> & a..) Not Allocated Array a !");
   T * pe;
   sa_size_t j,k;
@@ -104,9 +104,9 @@
 */
 template <class T>
-TArray<T> MathArray<T>::ApplyFunction(TArray<T> const & a, Arr_FloatFunctionOfX f)
+TArray<T> MathArray<T>::ApplyFunctionF(TArray<T> const & a, Arr_FloatFunctionOfX f)
 {
   TArray<T> ra;
   ra = a;
-  ApplyFunctionInPlace(ra, f);
+  ApplyFunctionInPlaceF(ra, f);
   return(ra);
 }
Index: trunk/SophyaLib/TArray/matharr.h
===================================================================
--- trunk/SophyaLib/TArray/matharr.h	(revision 2321)
+++ trunk/SophyaLib/TArray/matharr.h	(revision 2322)
@@ -19,8 +19,8 @@
   // Replaces the input array content with the result f(x)
   virtual TArray<T>&  ApplyFunctionInPlace(TArray<T> & a, Arr_DoubleFunctionOfX f);
-  virtual TArray<T>&  ApplyFunctionInPlace(TArray<T> & a, Arr_FloatFunctionOfX f);
+  virtual TArray<T>&  ApplyFunctionInPlaceF(TArray<T> & a, Arr_FloatFunctionOfX f);
   // Creates a new array and fills it with f(x)
   virtual TArray<T>  ApplyFunction(TArray<T> const & a, Arr_DoubleFunctionOfX f);
-  virtual TArray<T>  ApplyFunction(TArray<T> const & a, Arr_FloatFunctionOfX f);
+  virtual TArray<T>  ApplyFunctionF(TArray<T> const & a, Arr_FloatFunctionOfX f);
   // Computing Mean-Sigma 
   virtual double     MeanSigma(TArray<T> const & a, double & mean, double & sig);
Index: trunk/SophyaLib/TArray/sopemtx.cc
===================================================================
--- trunk/SophyaLib/TArray/sopemtx.cc	(revision 2321)
+++ trunk/SophyaLib/TArray/sopemtx.cc	(revision 2322)
@@ -3,5 +3,5 @@
 #include "machdefs.h"
 #include <stdio.h>
-#include <iostream.h>
+#include <iostream>
 #include <complex>
 #include <math.h>
Index: trunk/SophyaLib/TArray/tarray.h
===================================================================
--- trunk/SophyaLib/TArray/tarray.h	(revision 2321)
+++ trunk/SophyaLib/TArray/tarray.h	(revision 2322)
@@ -8,5 +8,5 @@
 #include "machdefs.h"
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include "basarr.h"
 #include "ndatablock.h"
Index: trunk/SophyaLib/TArray/toeplitzMatrix.h
===================================================================
--- trunk/SophyaLib/TArray/toeplitzMatrix.h	(revision 2321)
+++ trunk/SophyaLib/TArray/toeplitzMatrix.h	(revision 2322)
@@ -13,5 +13,5 @@
 
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "nbmath.h"