Index: trunk/SophyaPI/PIext/nomimagadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2322)
+++ trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2335)
@@ -97,4 +97,7 @@
 
 #ifndef SANS_EVOLPLANCK
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_Image< uint_2 >::SaveFits(string const & flnm)
 {
@@ -103,4 +106,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_Image< uint_2 >::ReadFits(string const & flnm)
 {
Index: trunk/SophyaPI/PIext/nomskymapadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2322)
+++ trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2335)
@@ -35,4 +35,7 @@
 
 /* --Methode-- */
+#if defined(__SGICC__)
+template <>
+#endif
 double LocalMapArrAdapter< complex<float> >::Value(int ix, int iy) 
 {
@@ -43,4 +46,7 @@
 }
 /* --Methode-- */
+#if defined(__SGICC__)
+template <>
+#endif
 double LocalMapArrAdapter< complex<double> >::Value(int ix, int iy) 
 {
@@ -156,4 +162,7 @@
 
 // ---- Specialisation pour complexes -----
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_PixelMap< complex<r_4> >::ReadFits(string const & flnm)
 {
@@ -161,4 +170,7 @@
      << " Not supported (complex data type)" << endl;
 }
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_PixelMap< complex<r_4> >::SaveFits(string const & flnm)
 {
@@ -166,4 +178,7 @@
      << " Not supported (complex data type)" << endl;
 }
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_PixelMap< complex<r_8> >::ReadFits(string const & flnm)
 {
@@ -171,4 +186,7 @@
      << " Not supported (complex data type)" << endl;
 }
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_PixelMap< complex<r_8> >::SaveFits(string const & flnm)
 {
@@ -368,4 +386,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 r_8* NTupInt_PixelMap< complex<float> >::GetLineD(int n) const 
 {
@@ -385,4 +406,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 r_8* NTupInt_PixelMap< complex<double> >::GetLineD(int n) const 
 {
Index: trunk/SophyaPI/PIext/nomtarradapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2322)
+++ trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2335)
@@ -82,4 +82,7 @@
 
 // ---- Specialisation pour complexes -----
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_TArray< complex<r_4> >::ReadFits(string const & flnm)
 {
@@ -87,4 +90,7 @@
      << " Not supported (complex data type)" << endl;
 }
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_TArray< complex<r_4> >::SaveFits(string const & flnm)
 {
@@ -93,4 +99,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_TArray< complex<r_8> >::ReadFits(string const & flnm)
 {
@@ -98,4 +107,7 @@
      << " Not supported (complex data type)" << endl;
 }
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_TArray< complex<r_8> >::SaveFits(string const & flnm)
 {
@@ -221,4 +233,7 @@
 
 /* --Methode-- */
+#if defined(__SGICC__)
+template <>
+#endif
 r_8* NTupInt_TArray< complex<r_4> >::GetLineD(int n) const 
 {
@@ -240,4 +255,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 r_8* NTupInt_TArray< complex<r_8> >::GetLineD(int n) const 
 {
Index: trunk/SophyaPI/PIext/nomtmatvecadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2322)
+++ trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2335)
@@ -87,4 +87,7 @@
 }
 // ---- Specialisation pour complexes -----
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_TMatrix< complex<r_4> >::ReadFits(string const & flnm)
 {
@@ -92,4 +95,7 @@
      << " Not supported (complex data type)" << endl;
 }
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_TMatrix< complex<r_4> >::SaveFits(string const & flnm)
 {
@@ -98,4 +104,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_TMatrix< complex<r_8> >::ReadFits(string const & flnm)
 {
@@ -103,4 +112,7 @@
      << " Not supported (complex data type)" << endl;
 }
+#if defined(__SGICC__)
+template <>
+#endif
 void NOMAdapter_TMatrix< complex<r_8> >::SaveFits(string const & flnm)
 {
@@ -243,4 +255,7 @@
 
 // ---- Specialisation pour complexes -----
+#if defined(__SGICC__)
+template <>
+#endif
 GeneralFitData* NOMAdapter_TMatrix< complex<r_4> >::GetGeneralFitData(bool& adel
  ,GeneralFitData::FitErrType errtype,double errscale,double errmin
@@ -250,4 +265,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 AnyDataObj* NOMAdapter_TMatrix< complex<r_4> >::FitResidusObj(GeneralFit& mfit)
 {
@@ -255,4 +273,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 AnyDataObj* NOMAdapter_TMatrix< complex<r_4> >::FitFunctionObj(GeneralFit& mfit)
 {
@@ -260,4 +281,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 GeneralFitData* NOMAdapter_TMatrix< complex<r_8> >::GetGeneralFitData(bool& adel
  ,GeneralFitData::FitErrType errtype,double errscale,double errmin
@@ -267,4 +291,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 AnyDataObj* NOMAdapter_TMatrix< complex<r_8> >::FitResidusObj(GeneralFit& mfit)
 {
@@ -272,4 +299,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 AnyDataObj* NOMAdapter_TMatrix< complex<r_8> >::FitFunctionObj(GeneralFit& mfit)
 {
@@ -341,4 +371,7 @@
 
 /* --Methode-- */
+#if defined(__SGICC__)
+template <>
+#endif
 r_8* NTupInt_TMatrix< complex<r_4> >::GetLineD(int n) const 
 {
@@ -358,4 +391,7 @@
 }
 
+#if defined(__SGICC__)
+template <>
+#endif
 r_8* NTupInt_TMatrix< complex<r_8> >::GetLineD(int n) const 
 {
Index: trunk/SophyaPI/PIext/pitvmaad.cc
===================================================================
--- trunk/SophyaPI/PIext/pitvmaad.cc	(revision 2322)
+++ trunk/SophyaPI/PIext/pitvmaad.cc	(revision 2335)
@@ -29,4 +29,7 @@
 
 /* --Methode-- */
+#if defined(__SGICC__)
+template <>
+#endif
 double POTVectorAdapter< complex<float> >::Value(int i)
 {
@@ -38,4 +41,7 @@
 
 /* --Methode-- */
+#if defined(__SGICC__)
+template <>
+#endif
 double POTVectorAdapter< complex<double> >::Value(int i)
 {
@@ -68,4 +74,7 @@
 
 /* --Methode-- */
+#if defined(__SGICC__)
+template <>
+#endif
 double POTMatrixAdapter< complex<float> >::Value(int ix, int iy)
 {
@@ -77,4 +86,7 @@
 
 /* --Methode-- */
+#if defined(__SGICC__)
+template <>
+#endif
 double POTMatrixAdapter< complex<double> >::Value(int ix, int iy)
 {