Index: /trunk/SophyaPI/PIext/nomimagadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2342)
+++ /trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2343)
@@ -97,7 +97,5 @@
 
 #ifndef SANS_EVOLPLANCK
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_Image< uint_2 >::SaveFits(string const & flnm)
 {
@@ -106,7 +104,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_Image< uint_2 >::ReadFits(string const & flnm)
 {
Index: /trunk/SophyaPI/PIext/nomskymapadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2342)
+++ /trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2343)
@@ -35,7 +35,5 @@
 
 /* --Methode-- */
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 double LocalMapArrAdapter< complex<float> >::Value(int ix, int iy) 
 {
@@ -46,7 +44,5 @@
 }
 /* --Methode-- */
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 double LocalMapArrAdapter< complex<double> >::Value(int ix, int iy) 
 {
@@ -162,7 +158,5 @@
 
 // ---- Specialisation pour complexes -----
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_PixelMap< complex<r_4> >::ReadFits(string const & flnm)
 {
@@ -170,7 +164,5 @@
      << " Not supported (complex data type)" << endl;
 }
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_PixelMap< complex<r_4> >::SaveFits(string const & flnm)
 {
@@ -178,7 +170,5 @@
      << " Not supported (complex data type)" << endl;
 }
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_PixelMap< complex<r_8> >::ReadFits(string const & flnm)
 {
@@ -186,7 +176,5 @@
      << " Not supported (complex data type)" << endl;
 }
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_PixelMap< complex<r_8> >::SaveFits(string const & flnm)
 {
@@ -386,7 +374,6 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 r_8* NTupInt_PixelMap< complex<float> >::GetLineD(int n) const 
 {
@@ -406,7 +393,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 r_8* NTupInt_PixelMap< complex<double> >::GetLineD(int n) const 
 {
Index: /trunk/SophyaPI/PIext/nomtarradapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2342)
+++ /trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2343)
@@ -82,7 +82,5 @@
 
 // ---- Specialisation pour complexes -----
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_TArray< complex<r_4> >::ReadFits(string const & flnm)
 {
@@ -90,7 +88,5 @@
      << " Not supported (complex data type)" << endl;
 }
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_TArray< complex<r_4> >::SaveFits(string const & flnm)
 {
@@ -99,7 +95,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_TArray< complex<r_8> >::ReadFits(string const & flnm)
 {
@@ -107,7 +101,5 @@
      << " Not supported (complex data type)" << endl;
 }
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_TArray< complex<r_8> >::SaveFits(string const & flnm)
 {
@@ -233,7 +225,5 @@
 
 /* --Methode-- */
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 r_8* NTupInt_TArray< complex<r_4> >::GetLineD(int n) const 
 {
@@ -255,7 +245,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 r_8* NTupInt_TArray< complex<r_8> >::GetLineD(int n) const 
 {
Index: /trunk/SophyaPI/PIext/nomtmatvecadapter.cc
===================================================================
--- /trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2342)
+++ /trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2343)
@@ -87,7 +87,5 @@
 }
 // ---- Specialisation pour complexes -----
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_TMatrix< complex<r_4> >::ReadFits(string const & flnm)
 {
@@ -95,7 +93,5 @@
      << " Not supported (complex data type)" << endl;
 }
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_TMatrix< complex<r_4> >::SaveFits(string const & flnm)
 {
@@ -104,7 +100,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_TMatrix< complex<r_8> >::ReadFits(string const & flnm)
 {
@@ -112,7 +106,5 @@
      << " Not supported (complex data type)" << endl;
 }
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void NOMAdapter_TMatrix< complex<r_8> >::SaveFits(string const & flnm)
 {
@@ -255,7 +247,5 @@
 
 // ---- Specialisation pour complexes -----
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 GeneralFitData* NOMAdapter_TMatrix< complex<r_4> >::GetGeneralFitData(bool& adel
  ,GeneralFitData::FitErrType errtype,double errscale,double errmin
@@ -265,7 +255,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 AnyDataObj* NOMAdapter_TMatrix< complex<r_4> >::FitResidusObj(GeneralFit& mfit)
 {
@@ -273,7 +261,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 AnyDataObj* NOMAdapter_TMatrix< complex<r_4> >::FitFunctionObj(GeneralFit& mfit)
 {
@@ -281,7 +267,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 GeneralFitData* NOMAdapter_TMatrix< complex<r_8> >::GetGeneralFitData(bool& adel
  ,GeneralFitData::FitErrType errtype,double errscale,double errmin
@@ -291,7 +275,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 AnyDataObj* NOMAdapter_TMatrix< complex<r_8> >::FitResidusObj(GeneralFit& mfit)
 {
@@ -299,7 +281,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 AnyDataObj* NOMAdapter_TMatrix< complex<r_8> >::FitFunctionObj(GeneralFit& mfit)
 {
@@ -371,7 +351,5 @@
 
 /* --Methode-- */
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 r_8* NTupInt_TMatrix< complex<r_4> >::GetLineD(int n) const 
 {
@@ -391,7 +369,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 r_8* NTupInt_TMatrix< complex<r_8> >::GetLineD(int n) const 
 {
Index: /trunk/SophyaPI/PIext/pitvmaad.cc
===================================================================
--- /trunk/SophyaPI/PIext/pitvmaad.cc	(revision 2342)
+++ /trunk/SophyaPI/PIext/pitvmaad.cc	(revision 2343)
@@ -29,7 +29,5 @@
 
 /* --Methode-- */
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 double POTVectorAdapter< complex<float> >::Value(int i)
 {
@@ -41,7 +39,5 @@
 
 /* --Methode-- */
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 double POTVectorAdapter< complex<double> >::Value(int i)
 {
@@ -74,7 +70,5 @@
 
 /* --Methode-- */
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 double POTMatrixAdapter< complex<float> >::Value(int ix, int iy)
 {
@@ -86,7 +80,5 @@
 
 /* --Methode-- */
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 double POTMatrixAdapter< complex<double> >::Value(int ix, int iy)
 {