Index: /trunk/SophyaLib/BaseTools/datatype.cc
===================================================================
--- /trunk/SophyaLib/BaseTools/datatype.cc	(revision 2343)
+++ /trunk/SophyaLib/BaseTools/datatype.cc	(revision 2344)
@@ -12,10 +12,9 @@
 {
 }
-/*
 #if defined(__SGICC__)
 template <class T>
-string DataTypeInfo<T>::getTypeName() 
-{ 
-  if (typeid(T) == typeid(uint_1)) return("uint_1"); 
+string DataTypeInfo<T>::getTypeName()
+{
+  if (typeid(T) == typeid(uint_1)) return("uint_1");
   else if (typeid(T) == typeid(uint_2)) return("uint_2");
   else if (typeid(T) == typeid(int_2)) return("int_2");
@@ -31,30 +30,19 @@
 }
 #else
-*/
-DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
+template <class T>
+string DataTypeInfo<T>::getTypeName() { return("???unknowntype???"); }
 string DataTypeInfo<uint_1>::getTypeName() { return("uint_1"); }
-DECL_TEMP_SPEC
 string DataTypeInfo<uint_2>::getTypeName() { return("uint_2"); }
-DECL_TEMP_SPEC
 string DataTypeInfo<int_2>::getTypeName() { return("int_2"); }
-DECL_TEMP_SPEC
 string DataTypeInfo<int_4>::getTypeName() { return("int_4"); }
-DECL_TEMP_SPEC
 string DataTypeInfo<int_8>::getTypeName() { return("int_8"); }
-DECL_TEMP_SPEC
 string DataTypeInfo<uint_4>::getTypeName() { return("uint_4"); }
-DECL_TEMP_SPEC
 string DataTypeInfo<uint_8>::getTypeName() { return("uint_8"); }
-DECL_TEMP_SPEC
 string DataTypeInfo<r_4>::getTypeName() { return("r_4"); }
-DECL_TEMP_SPEC
 string DataTypeInfo<r_8>::getTypeName() { return("r_8"); }
-DECL_TEMP_SPEC
 string DataTypeInfo< complex<r_4> >::getTypeName() { return(" complex<r_4> "); }
-DECL_TEMP_SPEC
 string DataTypeInfo< complex<r_8> >::getTypeName() { return(" complex<r_8> "); }
-/*
 #endif
-*/
+
 
 string DecodeGCCTypeName(string gcctype)
Index: /trunk/SophyaLib/BaseTools/sversion.h
===================================================================
--- /trunk/SophyaLib/BaseTools/sversion.h	(revision 2343)
+++ /trunk/SophyaLib/BaseTools/sversion.h	(revision 2344)
@@ -3,5 +3,5 @@
 
 #define SOPHYA_VERSION   1.6
-#define SOPHYA_REVISION  00
+#define SOPHYA_REVISION  02
 #define SOPHYA_TAG       "V_Fev2003"
 
Index: /trunk/SophyaLib/NTools/fftservintf.cc
===================================================================
--- /trunk/SophyaLib/NTools/fftservintf.cc	(revision 2343)
+++ /trunk/SophyaLib/NTools/fftservintf.cc	(revision 2344)
@@ -253,7 +253,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 r_8 FFTArrayChecker< r_8 >::ZeroThreshold()
 {
@@ -261,7 +259,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 r_4 FFTArrayChecker< r_4 >::ZeroThreshold()
 {
Index: /trunk/SophyaLib/NTools/generaldata.cc
===================================================================
--- /trunk/SophyaLib/NTools/generaldata.cc	(revision 2343)
+++ /trunk/SophyaLib/NTools/generaldata.cc	(revision 2344)
@@ -1061,7 +1061,5 @@
 
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void ObjFileIO<GeneralFitData>::ReadSelf(PInPersist& is)
 {
@@ -1108,7 +1106,5 @@
 }
 
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void ObjFileIO<GeneralFitData>::WriteSelf(POutPersist& os) const
 {
Index: /trunk/SophyaLib/NTools/poly.cc
===================================================================
--- /trunk/SophyaLib/NTools/poly.cc	(revision 2343)
+++ /trunk/SophyaLib/NTools/poly.cc	(revision 2344)
@@ -306,7 +306,5 @@
 //////////////////////////////////////////////////////////////////////////
 //! For persistance management
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void ObjFileIO<Poly>::ReadSelf(PInPersist& is)
 {
@@ -320,7 +318,5 @@
 
 //! For persistance management
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void ObjFileIO<Poly>::WriteSelf(POutPersist& os) const
 {
@@ -771,7 +767,5 @@
 //////////////////////////////////////////////////////////////////////////
 //! For persistance management
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void ObjFileIO<Poly2>::ReadSelf(PInPersist& is)
 {
@@ -785,7 +779,5 @@
 
 //! For persistance management
-#if defined(__SGICC__)
-template <>
-#endif
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void ObjFileIO<Poly2>::WriteSelf(POutPersist& os) const
 {
Index: /trunk/SophyaLib/SkyT/gaussfilt.cc
===================================================================
--- /trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 2343)
+++ /trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 2344)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: gaussfilt.cc,v 1.7 2003-02-11 15:31:07 cmv Exp $
+//      $Id: gaussfilt.cc,v 1.8 2003-03-10 15:13:49 ansari Exp $
 //
 // Description:
@@ -104,4 +104,5 @@
 }
 
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void
 ObjFileIO<GaussianFilter>::WriteSelf(POutPersist& s) const
@@ -125,4 +126,5 @@
 }
 
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void
 ObjFileIO<GaussianFilter>::ReadSelf(PInPersist& s)  
Index: /trunk/SophyaLib/SkyT/specrespvector.cc
===================================================================
--- /trunk/SophyaLib/SkyT/specrespvector.cc	(revision 2343)
+++ /trunk/SophyaLib/SkyT/specrespvector.cc	(revision 2344)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specrespvector.cc,v 1.9 2003-02-11 15:31:07 cmv Exp $
+//      $Id: specrespvector.cc,v 1.10 2003-03-10 15:13:49 ansari Exp $
 //
 // Description:
@@ -124,4 +124,5 @@
 
 
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void
 ObjFileIO<SpecRespVec>::WriteSelf(POutPersist& s) const
@@ -152,4 +153,5 @@
 }
 
+DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
 void 
 ObjFileIO<SpecRespVec>::ReadSelf(PInPersist& s) 